Subject: bug#7032: closed (Re: bug#7032: 24.0.50; customize can crash emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Jul 2011 01:24:02 +0000

Your bug report

#7032: 24.0.50; customize can crash emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7032: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7032
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7032: 24.0.50; customize can crash emacs
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 09 Jul 2011 21:23:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm sorry, without a reproducible recipe or a backtrace, there's nothing
that can be done. The bug can be reopened if you ever get more info.

Subject: 24.0.50; customize can crash emacs
From: Joseph Brenner <[email-masked]>
To: [email-masked]
Date: Mon, 13 Sep 2010 14:40:29 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I've got some problems with latest build of bzr emacs.

In trying to use custom.el to make a change, I repeatedly crashed
emacs by doing this:

  MH-E => mh-variant => Gnu mailutils
    "Save for future sessions"

I tried this several times before I finally got it to save successfully.

  (custom-set-variables
   [...]
   '(mh-variant "GNU Mailutils 1.2")

I believe I got it to work by deleting this line from my .emacs,
it had somehow gotten placed below the custom-* code:

  (put 'scroll-left 'disabled nil)

Sorry, I don't have a -Q recipie or a gdb trace.

In GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1)
 of 2010-09-13 on fineline
Windowing system distributor `The X.Org Foundation', version 11.0.10600000
configured using `configure  '--prefix' '/usr/local/emacs/bzr-091310''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Apropos

Minor modes in effect:
  shell-dirtrack-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x m h SPC v e r SPC <return> C-x o C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-x C-p
M-x e m a v s SPC v <backspace> <backspace> <backspace>
c s SPC b e r s <backspace> <backspace> <backspace>
<backspace> v e r s SPC <return> C-x o C-x b * M e
s SPC <return> C-SPC C-p C-p M-w M-x m h SPC <backspace>
<backspace> <backspace> e m a b <backspace> c s SPC
g <backspace> b u g <tab> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> b u g - m e <backspace> <backspace> e m
<tab> <backspace> <backspace> <tab> <tab> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> g n u - b u <tab>
<tab> g <tab> <tab> <tab> <return> C-x C-p C-x 1 M-x
C-g C-x 5 0 M-x a p r SPC <return> b u g <return> C-x
o C-n C-n <next> C-s r e p o r t C-s C-s C-s C-s C-s
C-s C-s C-s C-s C-s C-a C-SPC C-e M-w C-a M-x C-y
<return>

Recent messages:
No current message
mh-show-msg: Wrong type argument: consp, nil
GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1) of 2010-09-13 on fineline
Mark set
Making completion list... [2 times]
gnus-bug: Gnus has been shut down
Quit
call-interactively: Attempt to delete the sole visible or iconified frame
Mark saved where search started
Mark set

Load-path shadows:
/home/doom/End/Cave/DesktopAutosave/lib/emacs/desktop-recover-setup hides /home/doom/lib/emacs/Dots/desktop-recover-setup
/home/doom/End/Cave/DiredExternalApps/lib/emacs/image-dired hides /home/doom/lib/emacs/image-dired
/home/doom/End/Cave/DiredExternalApps/lib/emacs/dired-external-apps hides /home/doom/lib/emacs/dired-external-apps
/home/doom/lib/emacs/Dots/setup-colors-dark hides /home/doom/lib/emacs/setup-colors-dark
/home/doom/End/Cave/DiredExternalApps/lib/emacs/image-dired hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/image-dired
/home/doom/lib/emacs/Dots/strokes hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/strokes
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-thread hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-thread
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-funcs hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-funcs
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-alias hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-alias
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-letter hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-letter
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-buffers hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-buffers
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-print hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-print
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-mime hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-mime
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-xface hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-xface
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-junk hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-junk
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-identity hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-identity
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-tool-bar hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-tool-bar
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-gnus hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-gnus
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-limit hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-limit
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-scan hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-scan
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-loaddefs hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-loaddefs
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-show hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-show
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-folder hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-folder
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-search hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-search
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-seq hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-seq
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-e hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-e
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-comp hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-comp
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-compat hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-compat
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-utils hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-utils
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-inc hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-inc
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-speed hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-speed
/usr/local/emacs/cvs-040510/share/emacs/23.1.90/lisp/mh-e/mh-acros hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/mh-e/mh-acros
/home/doom/lib/emacs/Dots/gnus-setup hides /usr/local/emacs/bzr-091310/share/emacs/24.0.50/lisp/gnus/gnus-setup

Features:
(shadow sort mail-extr emacsbug multi-isearch apropos gnus-msg help-mode
view mh-mime mh-show goto-addr gnus-cite gnus-art mm-uu mml2015
epg-config gnus-sum nnoo gnus-group time-date gnus-undo nnmail
mail-source format-spec gnus-start gnus-spec gnus-int message rfc822
gmm-utils mailheader gnus-win gnus-range gnus gnus-ems nnheader
mail-utils mh-seq mh-inc hl-line mh-tool-bar mh-xface mh-utils mh-folder
which-func imenu thingatpt desktop desktop-recover desktop-recover-setup
finder-inf package doom-fineline ansi-color registers-defined image-mode
junk-dired junk-setup datestamps live-dangerously strokes macroman
doom-filters find_and_replace json rep rep-setup warnings doom-mh
mh-comp sendmail mh-scan mh-gnus mml mml-sec mm-view smime
password-cache dig mailcap mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mm-util mail-prsvr gnus-util mh-e
mh-compat mailabbrev mh-acros mh-buffers mh-loaddefs mhe-setup-x
fugly-keystroke-macros dired-imagery-doomery-keystroke-macros
image-dired thinknow picture doomfile doomfiles-hacking-setup
caving-setup w3m-load html-setup perlnow-x perlnow template
perlnow-setup sepia sepia-cpan sepia-ido ido sepia-tree tree-widget
sepia-w3m w3m-perldoc w3m browse-url timezone w3m-hist w3m-e22 wid-edit
w3m-ccl ccl w3m-fsf w3m-favicon w3m-image w3m-proc w3m-util gud
easy-mmode cperl-mode easymenu sepia-setup apache-dev perl-setup
elisp-hacking-setup doom-print printer-setup shell-setup perlups derived
byte-opt bytecomp byte-compile jka-compr find-func timeclock-x timeclock
timeclock-setup shell comint ring dired-external-apps ls-lisp
dired-sort-map dired-setup save-to-registers basic-keymap-changes
paracide redroot simple-color-change setup-colors-dark move-frame
man-apropos edmacro kmacro zoom-frm frame-cmds frame-fns avoid
zoom-frm-setup text-setup dired-x dired-aux dired regexp-opt paren
uniquify advice help-fns advice-preload server time emacs-setup cl cl-19
load-path-setup tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win
x-dnd tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mldrag mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)